//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

import com.nttdocomo.ui.Display;
import com.nttdocomo.ui.IApplication;
import com.nttdocomo.ui.PhoneSystem;

public class P903ipuyo_col extends IApplication {
    protected Module m_module;
    protected boolean m_bPause = false;
    private Display display;
    protected int m_bPauseT = 0;

    public P903ipuyo_col() {
        PhoneSystem.setAttribute(8, 1);
        PhoneSystem.setAttribute(0, 1);
        PhoneSystem.setAttribute(1, 0);
        this.m_module = new Module(this.display, this);
        this.m_bPauseT = 0;
    }

    public void startApp() {
        this.m_bPause = true;
    }

    public void start() {
        if (this.m_module != null) {
            this.m_bPause = true;
            this.m_module.start();
        }

    }

    public void resume() {
        if (this.m_module != null) {
            this.m_module.org_key = 0L;
            this.m_module.push_key_sys = 0L;
            this.m_module.now_key_sys = 0L;
            this.m_bPause = true;
            this.m_bPauseT = 2;
            if (this.m_module.BGMflag && this.m_module.BGMloopCnt == 0) {
                this.m_module.STrack[0].setMediaListener(this.m_module.ml);
                this.m_module.soundPlay(0, this.m_module.BGMloopCnt);
            }
        }

    }

    public void pauseApp() {
        this.m_bPause = true;
    }

    public void destroyApp(boolean var1) {
        if (this.m_module != null) {
            this.m_module.writeRS(0, this.m_module.SaveData);
        }

    }

    public void destroy(boolean var1) {
        if (this.m_module != null) {
            this.m_module.writeRS(0, this.m_module.SaveData);
        }

    }

    public void resumeApp() {
        this.m_bPause = true;
    }

    public void Exit() {
        this.destroyApp(false);
        this.terminate();
    }
}
